KAnimWidget class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAnimWidget Class Reference

This is a widget used to display animation using multiple individual pixmaps. Widget animated using individual icons. More...

`#include <kanimwidget.h>`

Inheritance diagram for KAnimWidget:

[legend]
Collaboration diagram for KAnimWidget:

[legend]
List of all members.

## Signals
void | clicked ()
## Public Member Functions
| KAnimWidget (const QString &icons, int size=0, QWidget *parent=0L, const char *name=0L)
| This is the most common constructor.
| KAnimWidget (QWidget *parent=0L, const char *name=0L)
| Default constructor.
virtual | ~KAnimWidget ()
| Destructor.
void | start ()
| Starts the animation from frame 1.
void | stop ()
| Stops the animation.
void | setSize (int size)
| Sets the size of the icons.
void | setIcons (const QString &icons)
| Sets the name of the animated icons to load.
## Protected Slots
void | slotTimerUpdate ()
void | updateIcons ()
## Protected Member Functions
virtual void | drawContents (QPainter *p)
virtual void | leaveEvent (QEvent *e)
virtual void | enterEvent (QEvent *e)
virtual void | hideEvent (QHideEvent *e)
virtual void | showEvent (QShowEvent *e)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This is a widget used to display animation using multiple individual pixmaps. Widget animated using individual icons.

This widget allows you to deal with variable size icons (e.g., ones that will change based on a global setting) as it loads the icons internally. All you need to do is pass along a list of icon names and their size and everything else is taken care of.

This widget also emits a 'clicked()' signal when it received a mouse press event.

A quick example:

     QStringList icons;
     icons.append("one");
     icons.append("two");
     icons.append("three");
     KAnimWidget *anim = new KAnimWidget(icons, 0, this);
     anim->start();

That example will search for the pixmaps "one.png", "two.png", and "three.png" in the share/icons/small/ directories as well as the app's pics directory.

Author:
  Kurt Granroth <granroth@kde.org>

Definition at line 56 of file kanimwidget.h.

## Constructor & Destructor Documentation

KAnimWidget::KAnimWidget | ( | const QString & | icons,
|  | int | size = 0,
|  | QWidget * | parent = 0L,
|  | const char * | name = 0L
| ) |

  | This is the most common constructor. Pass along the name of the animated icons to use (e.g., "kde") for the animation and an optional size to load and you're set. If you omit the size, the default size will be used. Parameters:
  icons | The icons name (e.g., "kde") to use for the animation
  size | The size to load You don't have to set it if the parent is a KToolBar; in this case it will use the toolbar's size.
  parent | The standard parent
  name | The standard internal name
Definition at line 42 of file kanimwidget.cpp. References KStdAccel::name(), QFrame::setFrameStyle(), and setIcons().

KAnimWidget::KAnimWidget | ( | QWidget * | parent = 0L,
|  | const char * | name = 0L
| ) |

  | Default constructor. This will not do anything until you use setIcons() later. Parameters:
  parent | The standard parent
  name | The standard internal name

KAnimWidget::~KAnimWidget | ( |  | ) | `[virtual]`

| Destructor. Definition at line 59 of file kanimwidget.cpp.

## Member Function Documentation

void KAnimWidget::start | ( |  | ) |

| Starts the animation from frame 1. Definition at line 66 of file kanimwidget.cpp.

void KAnimWidget::stop | ( |  | ) |

| Stops the animation. This will also reset the widget to frame 1. Definition at line 72 of file kanimwidget.cpp.

void KAnimWidget::setSize | ( | int | size | ) |

  | Sets the size of the icons. Parameters:
  size | The size of the icons
Definition at line 79 of file kanimwidget.cpp.

void KAnimWidget::setIcons | ( | const QString & | icons | ) |

  | Sets the name of the animated icons to load. This will use the KIconLoader::loadAnimated method for the actual loading. Parameters:
  icons | The name of the icons to use for the animation
Definition at line 88 of file kanimwidget.cpp. Referenced by KAnimWidget().

The documentation for this class was generated from the following files:

- kanimwidget.h
- kanimwidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:58:44 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001